<template>
  <div>
    <TicketList :tags="tags"></TicketList>
  </div>
</template>

<script>
import TicketList from './TicketList'
import { getTicketCategory } from '@/api/ticketSetting/ticketCategory'

export default {
  components: {
    TicketList
  },
  created () {
    this.getTicketCategory()
  },
  data () {
    return {
      tags: []
    }
  },
  methods: {
    getTicketCategory () {
      getTicketCategory({ status: ['active'] }).then(res => {
        this.$store.commit('SET_TICKET_TYPE_LIST', res.extraInfo.list)
      })
    }
  }
}
</script>

<style scoped>

</style>
